Bug 682479 - Review Request: drupal6-yubikey - Provides YubiKey based strong two-factor user authentication capabilities
Summary: Review Request: drupal6-yubikey - Provides YubiKey based strong two-factor us...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-05 22:34 UTC by eric@christensenplace.us
Modified: 2011-04-01 16:27 UTC (History)
3 users (show)

Fixed In Version: drupal6-yubikey-6.x.2.0.beta2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 05:37:17 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description eric@christensenplace.us 2011-03-05 22:34:04 UTC
Spec URL: http://sparks.fedorapeople.org/Packages/drupal6-yubikey/drupal6-yubikey.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/drupal6-yubikey/drupal6-yubikey-6.x.2.0.beta2-1.fc14.src.rpm

Description: YubiKey is a secure method for logging into many websites using a 
cryptographically secure USB token. It does not require special 
software, and since it does not generate the same OTP (One Time 
Password) more than once, nothing is shared among associated sites.
Users can assign one or more YubiKeys to an existing account, and 
log in using a YubiKey. This offers additional security to the users 
even over insecure connections.

Comment 1 Tim Lauridsen 2011-03-08 07:15:50 UTC
I will review this package

Comment 2 Tim Lauridsen 2011-03-08 07:21:19 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint drupal6-yubikey-6.x.2.0.beta2-1.fc16.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint drupal6-yubikey-6.x.2.0.beta2-1.fc16.noarch.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : 1af2acd8a973d032525c864afc892265
        MD5SUM upstream package : 1af2acd8a973d032525c864afc892265
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[-] : MUST - No %config files under /usr.
[-] : MUST - Development .so files in -devel subpackage, if present.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: http://ftp.drupal.org/files/projects/yubikey-6.x-2.0-beta2.tar.gz (yubikey-6.x-2.0-beta2.tar.gz)
        
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[?] : SHOULD - Package functions as described.
[X] : SHOULD - Latest version is packaged.
[X] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[X] : SHOULD - Scriptlets must be sane, if used.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[X] : SHOULD - Packages should try to preserve timestamps of original installed files.

Issues:

[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: http://ftp.drupal.org/files/projects/yubikey-6.x-2.0-beta2.tar.gz (yubikey-6.x-2.0-beta2.tar.gz)

        should be 
        Source0: http://ftp.drupal.org/files/projects/%{modname}-%{version}.tar.gz 
        I make it easier to bump the version
        Not a deal breaker.
        
APPROVED

Comment 3 eric@christensenplace.us 2011-03-08 12:21:43 UTC
New Package SCM Request
=======================
Package Name: drupal6-yubikey
Short Description: Provides YubiKey based strong two-factor user authentication capabilities to Drupal.
Owners: sparks
Branches: f15 f14 f13 el5 el6
InitialCC:

Comment 4 Jason Tibbitts 2011-03-08 20:54:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-09 02:23:19 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-yubikey-6.x.2.0.beta2-1.fc15

Comment 6 Fedora Update System 2011-03-09 02:23:26 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-yubikey-6.x.2.0.beta2-1.fc14

Comment 7 Fedora Update System 2011-03-09 02:23:33 UTC
drupal6-yubikey-6.x.2.0.beta2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-yubikey-6.x.2.0.beta2-1.el5

Comment 8 Fedora Update System 2011-03-09 02:23:41 UTC
drupal6-yubikey-6.x.2.0.beta2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-yubikey-6.x.2.0.beta2-1.el6

Comment 9 Fedora Update System 2011-03-09 02:23:47 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/drupal6-yubikey-6.x.2.0.beta2-1.fc13

Comment 10 Fedora Update System 2011-03-09 18:26:14 UTC
drupal6-yubikey-6.x.2.0.beta2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 11 Fedora Update System 2011-03-14 05:37:12 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-03-17 18:47:42 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-03-17 18:50:01 UTC
drupal6-yubikey-6.x.2.0.beta2-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 14 Fedora Update System 2011-04-01 16:26:40 UTC
drupal6-yubikey-6.x.2.0.beta2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 15 Fedora Update System 2011-04-01 16:27:05 UTC
drupal6-yubikey-6.x.2.0.beta2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.